uicc.access.fileadministration

## Interface AdminFileView

- All Superinterfaces:
    FileView
  All Known Subinterfaces:
    AdminBERTLVFileView

      public interface AdminFileView
      extends FileView

  The `AdminFileView` interface defines the administrative methods to access a UICC file system server.
  All the methods are based on the commands of the TS 102 222 specification. All operations performed on the `AdminFileView` are atomic. The `AdminFileView` operations are subject to atomic commit capacity limitations. If the commit capacity is exceeded, no operation is performed and a `TransactionException` exception is thrown.
  See Also:
    `AdminFileViewBuilder`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createFile(ViewHandler viewHandler)` This method creates a new file under the current DF or ADF, as described in TS 102 222.
    `void` | `deleteFile(short fid)` This method initiates the deletion of an EF immediately under the current DF, or a DF with its complete subtree, as described in TS 102 222.
    `void` | `resizeFile(ViewHandler viewHandler)` This method resizes a file under the current DF or ADF, as described in TS 102 222.

    - ### Methods inherited from interface uicc.access.FileView

      `activateFile, deactivateFile, increase, readBinary, readRecord, searchRecord, select, select, select, status, updateBinary, updateRecord`

- - ### Method Detail

    - #### deleteFile

          void deleteFile(short fid)
                   throws UICCException,
                          TransactionException

      This method initiates the deletion of an EF immediately under the current DF, or a DF with its complete subtree, as described in TS 102 222.
      Parameters:
        `fid` - is the File Identifier of the file to be deleted.
      Throws:
        `UICCException` - in case of error
        - `FILE_NOT_FOUND`
        - `MEMORY_PROBLEM`
        - `INTERNAL_ERROR`
        - `SECURITY_STATUS_NOT_SATISFIED`
        `TransactionException` - if the operation would cause the commit capacity to be exceeded.

    - #### createFile

          void createFile(ViewHandler viewHandler)
                   throws java.lang.NullPointerException,
                          UICCException,
                          AdminException,
                          TransactionException

      This method creates a new file under the current DF or ADF, as described in TS 102 222.
      Parameters:
        `viewHandler` - ViewHandler object containing the value part of the FCP data object for the CREATE FILE command, as described in TS 102 222.
      Throws:
        `java.lang.NullPointerException` - if `viewHandler` is `null`
        `UICCException` - in case of error
        - `MEMORY_PROBLEM`
        - `INTERNAL_ERROR`
        - `SECURITY_STATUS_NOT_SATISFIED`
        - `COMMAND_NOT_ALLOWED` if the referenced file is terminated
        `AdminException` - in case of error
        - `FILE_ALREADY_EXISTS`
        - `INCORRECT_PARAMETERS`
        - `NOT_ENOUGH_MEMORY_SPACE`
        - `DF_NAME_ALREADY_EXISTS`
        `TransactionException` - if the operation would cause the commit capacity to be exceeded.

    - #### resizeFile

          void resizeFile(ViewHandler viewHandler)
                   throws java.lang.NullPointerException,
                          UICCException,
                          AdminException,
                          TransactionException

      This method resizes a file under the current DF or ADF, as described in TS 102 222. If the current file of the AdminFileView is a BER-TLV structured EF and Tag '86' (Maximum File Size) is present within the proprietary TLV ( tag 'A5') in the FCP data object then this method operates in Mode 0 as defined in TS 102 222.
      Parameters:
        `viewHandler` - ViewHandler object containing the value part of the FCP data object for the RESIZE command, as described in TS 102 222.
      Throws:
        `java.lang.NullPointerException` - if `viewHandler` is `null`
        `UICCException` - in case of error
        - `MEMORY_PROBLEM`
        - `COMMAND_INCOMPATIBLE`
        - `SECURITY_STATUS_NOT_SATISFIED`
        - `REF_DATA_INVALIDATED`
        - `FILE_NOT_FOUND`
        - `INTERNAL_ERROR`
        - `COMMAND_NOT_ALLOWED` if the referenced file is terminated
        `AdminException` - in case of error
        - `CONDITIONS_OF_USE_NOT_SATISFIED`
        - `NOT_ENOUGH_MEMORY_SPACE`
        - `INCORRECT_PARAMETERS`
        `TransactionException` - if the operation would cause the commit capacity to be exceeded.

Copyright © 2017 ETSI All Rights Reserved.